## gjs 0.7.1

=== debian/changelog ===
gjs (0.7.1-1ubuntu4) maverick; urgency=low

  * fix LP: #646877 - wrap $@ with double quotes in gjs-console so that
    commands passed to gjs-console.real stay intact

 -- Delan Azabani <delan@azabani.com>  Fri, 08 Oct 2010 12:30:04 +0800

gjs (0.7.1-1ubuntu3) maverick; urgency=low

  * SECURITY UPDATE: insecure library loading (LP: #650862)
    - debian/gjs-console.sh: use shell expansion to set LD_LIBRARY_PATH
    - CVE-2010-3349

 -- Micah Gersten <micahg@ubuntu.com>  Wed, 29 Sep 2010 02:31:40 -0500

gjs (0.7.1-1ubuntu2) maverick; urgency=low

  * fix LP: #576991 - Make gjs not need a rebuild for each xulrunner release;
    Use dh_xulrunner to add binary depends on xulrunner for libgjs0a;
    Add binary depends on xulrunner-dev (>= 1.9.2) for libgjs-dev
    - update debian/control
    - update debian/rules 
  * fix LP: #629631 - gnome-shell will not install due to depends issues; fixed
    by the above changes
  * Add back chrpath as a build-dep and delete the rpath in libgjs; Any rdepends
    of libgjs will now need a wrapper script to find libmozjs
    - update debian/rules
    - update debian/control
  * Add a wrapper around gjs-console so it can find libmozjs; install wrapper
    in override_dh_install
    - update debian/rules

 -- Micah Gersten <micahg@ubuntu.com>  Sat, 04 Sep 2010 21:03:36 -0500

gjs (0.7.1-1ubuntu1) maverick; urgency=low

  * Merge from debian unstable. (LP: #616598)  Remaining changes:
    + debian/control: 
      - Add Ubuntu VCS info
      - Drop libmozjs Build-Depends; Ubuntu does not have this library.
      - Drop chrpath Build-Depends; we need to keep the RPATH because libmozjs
        is not a system library in Ubuntu.
      - Add xulrunner{,-dev}:Depends to binary packages
      - Bump xulrunner-dev build depends to 1.9.2
      - Build-depend on unversioned automake
    + debian/rules:
      - Generate strict dependencies on xulrunner.
      - Apply patch to fix libtool's handling of --as-needed
      - Add -Wl,--as-needed to LDFLAGS
    + debian/libgjs0a.lintian-overrides:
      - Override the entire rpath tag, not just for the specific libraries.
        The full lintian warning will change with each xulrunner version.
    + debian/ltmain-add-as-needed.patch
      - Fix libtool's ordering of --as-needed argument.
    + add debian/patches/01_disable_memcheck.patch
      - Don't make leaks fatal, see b.g.o #616193
    + add debian/patches/02_gobject_introspection.patch:
      - Use gobject-introspection 0.9
  * Add debian/patches/03_libmozjs_private.patch (originally in 0.5-1ubuntu1)
    - Move @JS_PACKAGE@ libmozjs to Requires.private to prevent applications
      unnecessarily linking with libmozjs

 -- Micah Gersten <micahg@ubuntu.com>  Thu, 12 Aug 2010 00:22:06 -0500

gjs (0.7.1-1) unstable; urgency=low

  * Not really an upstream release, just fixing the versioning of the
    package from yesterday =(
  * Convert package to new source format 3.0 (quilt)

 -- Gustavo Noronha Silva <gustavo.noronha@collabora.co.uk>  Thu, 15 Jul 2010 10:45:47 -0300

gjs (0.7-1) unstable; urgency=low

  * New upstream release
  * Bumped Standards-Version with no changes
  * debian/libgjs0a.{shlibs,symbols}:
  - add shlibs and symbols information
  * debian/rules:
  - disable tests that seem to rely on stuff only added in the 0.9 branch
    of G-I

 -- Gustavo Noronha Silva <gustavo.noronha@collabora.co.uk>  Wed, 26 May 2010 10:55:19 -0300

gjs (0.7-0ubuntu4) maverick; urgency=low

  * debian/control:
    - Build-depend on unversioned automake
  * debian/patches/02_gobject_introspection.patch:
    - Use gobject-introspection 0.9

 -- Robert Ancell <robert.ancell@canonical.com>  Wed, 11 Aug 2010 17:46:36 +1000

gjs (0.7-0ubuntu3) maverick; urgency=low

  * No source change rebuild to pick up xulrunner-1.9.2.8

 -- Laurent Bigonville <bigon@ubuntu.com>  Sat, 24 Jul 2010 14:24:54 +0200

gjs (0.7-0ubuntu2) maverick; urgency=low

  * No source change rebuild to pick up xulrunner-1.9.2.7

 -- Micah Gersten <micahg@ubuntu.com>  Sun, 18 Jul 2010 14:54:54 -0500

gjs (0.7-0ubuntu1) maverick; urgency=low

  * New upstream version
  * debian/control:
    - updated gobject-introspection requirement
  * debian/rules:
    - don't run testsuite for now since it breaks, that should be debugged 
      later on but let's solve installability issues for now

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 28 Jun 2010 16:08:46 +0200

gjs (0.6-1) unstable; urgency=low

  * New upstream version.
  - build-depends on cairo, so updated debian/control to match
  - library package renamed to libgjs0a because it broke ABI without
    changing soname
  * debian/rules:
  - only run tests on Linux, other platforms fail here trying to run
    dbus (Closes: #571792)

 -- Gustavo Noronha Silva <kov@debian.org>  Thu, 08 Apr 2010 19:53:12 -0300

gjs (0.5-1ubuntu2) lucid; urgency=low

  * debian/patches/01_disable_memcheck.patch:
    - Don't make leaks fatal, see b.g.o #616193. Fixes LP: #537903
  * debian/control:
    - Build-depend on quilt
  * debian/rules:
    - Include quilt.make and add patch/unpatch targets 
  * Transition to xulrunner 1.9.2:
    - bump minimum xulrunner depends to 1.9.2
    - update debian/rules

 -- Chris Coulson <chris.coulson@canonical.com>  Mon, 19 Apr 2010 16:36:54 +0100

gjs (0.5-1ubuntu1) lucid; urgency=low

  * Merge from Debian unstable.  Remaining Ubuntu changes:
    + debian/control:
      - Replaces/Conflicts old gjs{,-dev} package.
      - Drop libmozjs Build-Depends; Ubuntu does not have this library.
      - Drop chrpath Build-Depends; we need to keep the RPATH because libmozjs
        is not a system library in Ubuntu.
      - Add xulrunner{,-dev}:Depends to binary packages
    + debian/rules:
      - Generate strict dependencies on xulrunner.
      - Apply patch to fix libtool's handling of --as-needed
      - Add -Wl,--as-needed to LDFLAGS
    + gjs-1.0.pc.in
      - Move @JS_PACKAGE@ libmozjs to Requires.private to prevent applications

