=== debian/control ===
Source: gjs
Section: interpreters
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Gustavo Noronha Silva <gustavo.noronha@collabora.co.uk
Uploaders: Gustavo Noronha Silva <kov@debian.org>
Build-Depends: debhelper (>= 7.3.0),
               autotools-dev,
               autoconf,
               automake,
               libtool,
               chrpath,
               pkg-config,
               libdbus-glib-1-dev,
               libglib2.0-dev,
               libgirepository1.0-dev (>= 0.6.3),
               gobject-introspection (>= 0.6.10),
               gir1.0-glib-2.0,
               xulrunner-dev (>= 1.9.2),
               dbus-x11,
               uuid-runtime,
               libcairo2-dev
VCS-Bzr: lp:ubuntu/gjs
VCS-Browser: https://code.launchpad.net/~ubuntu-branches/ubuntu/lucid/gjs/lucid
Standards-Version: 3.8.4
Homepage: http://live.gnome.org/Gjs

Package: gjs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Mozilla-based javascript bindings for the GNOME platform
 Makes it possible for applications to use all of GNOME's platform
 libraries using the Javascript language. It's mainly based on the
 Mozilla javascript engine and the GObject introsepection framework.
 .
 This package contains the interactive console application.

Package: libgjs0a
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, 
         ${misc:Depends}, 
         ${gir:Depends}
Conflicts: libgjs0
Replaces: libgjs0
Description: Mozilla-based javascript bindings for the GNOME platform
 Makes it possible for applications to use all of GNOME's platform
 libraries using the Javascript language. It's mainly based on the
 Mozilla javascript engine and the GObject introspection framework.
 .
 This is the shared library applications link to.

Package: libgjs-dev
Architecture: any
Section: libdevel
Depends: libgjs0a (= ${binary:Version}),
         ${misc:Depends},
         xulrunner-dev (>= 1.9.2),
         libgirepository1.0-dev
Conflicts: gjs-dev (<< 0.4-3)
Replaces: gjs-dev (<< 0.4-3)         
Description: Mozilla-based javascript bindings for the GNOME platform
 Makes it possible for applications to use all of GNOME's platform
 libraries using the Javascript language. It's mainly based on the
 Mozilla javascript engine and the GObject introspection framework.
 .
 This package contains the development files applications need to
 build against.
