=== debian/rules ===
#!/usr/bin/make -f

%:
	dh  $@

# Hack to make it possible to run autoreconf without making the diff
# big, and without requiring a patch that needs to be updated for
# every release
override_dh_auto_configure:
	mkdir _build
	cp -a * _build || true
	cd _build && autoreconf -fi
	cd _build && patch -p3 < ../debian/ltmain-add-as-needed.patch
	dh_auto_configure --sourcedirectory=_build -- LDFLAGS="$(LDFLAGS) -Wl,-z,defs -Wl,--as-needed"

override_dh_auto_build:
	dh_auto_build --sourcedirectory=_build

override_dh_auto_install:
	dh_auto_install --sourcedirectory=_build
	chrpath -d "$(CURDIR)"/debian/tmp/usr/lib/libgjs.so.0.0.0

override_dh_install:
	dh_install
	mv debian/gjs/usr/bin/gjs-console debian/gjs/usr/bin/gjs-console.real
	cp debian/gjs-console.sh debian/gjs/usr/bin/gjs-console

override_dh_makeshlibs:
	dh_makeshlibs -plibgjs0a -V 'libgjs0a (>= 0.7.1)'

override_dh_clean:
	rm -rf _build
	dh_clean

override_dh_auto_test:
	# Our gir-repository packages don't build Everything.typelib, so the
	# Everything tests will fail.  Just remove them.
	-rm _build/test/js/testEverythingBasic.js
	-rm _build/test/js/testEverythingEncapsulated.js

	# Temporarily disable running new tests that are failing. Some
	# tests apparently depend on test API only available in later,
	# incompatible versions of gobject-introspection.
	-rm _build/test/js/testByteArray.js
	-rm _build/test/js/testGI.js
	-rm _build/test/js/testGIMarshalling.js

override_dh_shlibdeps:
	dh_shlibdeps
	dh_xulrunner -p libgjs0a
