## gjs 0.7.7

=== debian/changelog ===
gjs (0.7.7-0ubuntu1+build1) natty; urgency=low

  * No-change rebuild for libgirepository rename

 -- Michael Terry <mterry@ubuntu.com>  Thu, 09 Dec 2010 08:41:26 -0500

gjs (0.7.7-0ubuntu1) natty; urgency=low

  * New upstream release v0.7.7

  * Bump minimum gobject-introspection version
    - update debian/control
  * Drop unneeded patches now we have the latest G-I
    - remove debian/patches/01_revert_machine_indep_types_removal.diff
    - remove debian/patches/02_gobject_introspection.patch
    - update debian/patches/series 
  * Drop patch merged upstream
    - remove debian/patches/03_libmozjs_private.patch
    - update debian/patches/series
  * Drop debian/patches/debian-changes-0.7.1-1. This looks wrong to me, as
    it's adding GJS_LIBS to gjs_console_LDADD, when gjs-console is already
    statically linking libgjs.a
  * Depend on xulrunner-2.0-mozjs and drop the dh_xulrunner call. There's
    currently no way to automatically create the correct dependency here,
    but we'll probably do that in the future
    - update debian/control
    - update debian/rules
  * Update the gjs-console wrapper to not need the xulrunner binary
    to find the location of libmozjs.so
    - update debian/gjs-console.sh
  * Drop ltmain-add-as-needed.patch, as this is now default in our toolchain
    - remove debian/ltmain-add-as-needed.patch
    - update debian/rules
  * Don't install the real gjs-console binary to /usr/bin/gjs-console.real,
    but move it to /usr/lib/gjs instead. Having gjs-console.real in $PATH
    doesn't seem right, as it will never run when being called directly
    - update debian/rules
    - update debian/gjs-console.sh
  * Fix libregress linkage - it needs GIO
    - add debian/patches/02_gjs_test_linkage.patch
    - update debian/patches/series
  * Rename to libgjs0b because ABI broke again without changing SO name
    - rename debian/libgjs0a.install => debian/libgjs0b.install
    - rename debian/libgjs0a.lintian-overrides =>
       debian/libgjs0b.lintian-overrides
    - update debian/control

 -- Chris Coulson <chris.coulson@canonical.com>  Fri, 26 Nov 2010 15:15:38 +0000
