=== debian/control ===
--- 
+++ 
@@ -14,9 +14,9 @@
                libdbus-glib-1-dev,
                libglib2.0-dev,
                libgirepository1.0-dev (>= 0.6.3),
-               gobject-introspection (>= 0.6.10),
+               gobject-introspection (>= 0.9.5),
                gir1.0-glib-2.0,
-               xulrunner-dev (>= 1.9.2),
+               xulrunner-dev (>= 2.0~b7),
                dbus-x11,
                uuid-runtime,
                libcairo2-dev
@@ -35,14 +35,15 @@
  .
  This package contains the interactive console application.
 
-Package: libgjs0a
+Package: libgjs0b
 Architecture: any
 Section: libs
 Depends: ${shlibs:Depends}, 
          ${misc:Depends}, 
-         ${gir:Depends}
-Conflicts: libgjs0
-Replaces: libgjs0
+         ${gir:Depends},
+         xulrunner-2.0-mozjs
+Conflicts: libgjs0, libgjs0a
+Replaces: libgjs0, libgjs0a
 Description: Mozilla-based javascript bindings for the GNOME platform
  Makes it possible for applications to use all of GNOME's platform
  libraries using the Javascript language. It's mainly based on the
@@ -53,7 +54,7 @@
 Package: libgjs-dev
 Architecture: any
 Section: libdevel
-Depends: libgjs0a (= ${binary:Version}),
+Depends: libgjs0b (= ${binary:Version}),
          ${misc:Depends},
          xulrunner-dev (>= 1.9.2),
          libgirepository1.0-dev
