=== debian/rules ===
--- 
+++ 
@@ -10,7 +10,6 @@
 	mkdir _build
 	cp -a * _build || true
 	cd _build && autoreconf -fi
-	cd _build && patch -p3 < ../debian/ltmain-add-as-needed.patch
 	dh_auto_configure --sourcedirectory=_build -- LDFLAGS="$(LDFLAGS) -Wl,-z,defs -Wl,--as-needed"
 
 override_dh_auto_build:
@@ -22,11 +21,12 @@
 
 override_dh_install:
 	dh_install
-	mv debian/gjs/usr/bin/gjs-console debian/gjs/usr/bin/gjs-console.real
+	mkdir -p debian/gjs/usr/lib/gjs
+	mv debian/gjs/usr/bin/gjs-console debian/gjs/usr/lib/gjs
 	cp debian/gjs-console.sh debian/gjs/usr/bin/gjs-console
 
 override_dh_makeshlibs:
-	dh_makeshlibs -plibgjs0a -V 'libgjs0a (>= 0.7.1)'
+	dh_makeshlibs -plibgjs0b -V 'libgjs0b (>= 0.7.7)'
 
 override_dh_clean:
 	rm -rf _build
@@ -47,4 +47,3 @@
 
 override_dh_shlibdeps:
 	dh_shlibdeps
-	dh_xulrunner -p libgjs0a
