=== debian/watch ===
version=3
http://ftp.gnome.org/pub/GNOME/sources/gjs/([\d\.]+)\d/ mutter-(.*)\.tar\.gz debian uupdate
