## gjs 0.7.10

=== debian/changelog ===
gjs (0.7.10-1ubuntu2) natty; urgency=low

  * Change the xulrunner-2.0 depends to xulrunner-2.0-mozjs to avoid pulling
    in the whole of Gecko, and move the depends to libgjs0b instead
    - update debian/control{.in}

 -- Chris Coulson <chris.coulson@canonical.com>  Thu, 17 Feb 2011 10:42:48 +0000

gjs (0.7.10-1ubuntu1) natty; urgency=low

  * debian/control.in:
    - gjs depends on xulrunner-2.0

 -- Robert Ancell <robert.ancell@canonical.com>  Thu, 17 Feb 2011 12:24:35 +1100

gjs (0.7.10-1) experimental; urgency=low

  * New upstream release.
  * debian/control.in:
    - Drop build-depend on libmozjs-dev
    - Make libgjs-dev depend on xulrunner-dev and libdbus-1-dev

 -- Laurent Bigonville <bigon@debian.org>  Sun, 06 Feb 2011 13:01:02 +0100

gjs (0.7.9-1) experimental; urgency=low

  * debian/rules:
    - Always depend on the latest upstream version in the shlibs file.
    - Fail the build if the symbols file is outdated.
    - Run the testsuite on !linux, but don't abort the build if it fails.
  * New upstream release.
    - debian/libgjs0b.symbols:
      + Updated.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Sun, 16 Jan 2011 15:17:31 +0000

gjs (0.7.8-2) experimental; urgency=low

  * debian/control.in:
    - Put the package under the GNOME team maintenance and use magic to
      populate Uploaders
    - Bump Standards-Version to 3.9.1 (no further changes)
    - Add Vcs-{Svn,Browser} fields
    - Add cdbs and gnome-pkg-tools and Build-dep
    - Bump xulrunner-dev Build-dependency to 1.9.2 (Closes: #609895)
    - Drop autoconf, automake1.11 and libtool, no needed for now
    - Remove ${gir:Depends} substitution from libgjs0b package (Closes: #592694)
    - Bump libgjs-deb package dependency against libmozjs-dev
  * debian/rules:
    - Use cdbs instead of dh7
    - Do not run autoreconf
    - Drop explicit shlibs version, we have .symbols file anyway
    - Excludes libraries installed in /usr/lib/gjs-1.0/ from .symbols file
    - Remove bashism (Closes: #581455)
  * Bump debhelper compatibility to 8
  * debian/control: Copy BSD licence instead of linking to it to please
    lintian
  * debian/watch: Fix URL pattern

 -- Laurent Bigonville <bigon@debian.org>  Fri, 14 Jan 2011 01:25:12 +0100

gjs (0.7.8-1) experimental; urgency=low

  * New release.
  * debian/control:
  - adjust build-depends for gir1.2-* packages

 -- Gustavo Noronha Silva <kov@debian.org>  Thu, 13 Jan 2011 13:43:51 -0200

gjs (0.7.6-2) experimental; urgency=low

  * debian/control:
  - build-depend on automake1.11 (Closes: #603222)

 -- Gustavo Noronha Silva <kov@debian.org>  Mon, 15 Nov 2010 19:26:16 -0200

gjs (0.7.6-1) experimental; urgency=low

  * debian/patches/*:
  - removed; should no longer be needed
  * debian/control:
  - renamed library package to libgjs0b because of ABI breakage
  - new version requires libmozjs-dev >= 1.9.2.
  - build-depend on xulrunner-dev >= 1.9.2.12
  - build-depend on gobject-introspection >= 0.9.2
  - also build-depend on gir1.0-glib-2.0, and gir1.0-freedesktop >= 0.9.12
  * debian/libgjs0b.symbols:
  - updated

 -- Gustavo Noronha Silva <kov@debian.org>  Tue, 09 Nov 2010 22:01:53 -0200
