## gjs 0.7.11

=== debian/changelog ===
gjs (0.7.11-1ubuntu1) natty; urgency=low

  * Merge with Debian experimental, remaining Ubuntu changes:
    - Make libgjs0b depends against xulrunner-2.0-mozjs

 -- Laurent Bigonville <bigon@ubuntu.com>  Sun, 27 Feb 2011 00:27:14 +0100

gjs (0.7.11-1) experimental; urgency=low

  * New upstream release.
  * debian/libgjs0b.symbols: update with two new symbols.

 -- Frederic Peters <fpeters@debian.org>  Wed, 23 Feb 2011 10:09:19 +0100
