=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
# 
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.

Source: gjs
Section: interpreters
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Emilio Pozuelo Monfort <pochu@debian.org>, Gustavo Noronha Silva <kov@debian.org>, Laurent Bigonville <bigon@debian.org>
Build-Depends: debhelper (>= 8),
               cdbs,
               gnome-pkg-tools,
               autotools-dev,
               chrpath,
               pkg-config,
               libdbus-glib-1-dev,
               libglib2.0-dev,
               libgirepository1.0-dev (>= 0.10.1),
               gobject-introspection (>= 0.10.1),
               gir1.2-glib-2.0,
               gir1.2-freedesktop,
               xulrunner-dev (>= 1.9.2),
               dbus-x11,
               uuid-runtime,
               libcairo2-dev
Standards-Version: 3.9.1
Vcs-Svn: svn://svn.debian.org/svn/pkg-gnome/packages/experimental/gjs
Vcs-Browser: http://svn.debian.org/viewsvn/pkg-gnome/packages/experimental/gjs
Homepage: http://live.gnome.org/Gjs

Package: gjs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Mozilla-based javascript bindings for the GNOME platform
 Makes it possible for applications to use all of GNOME's platform
 libraries using the Javascript language. It's mainly based on the
 Mozilla javascript engine and the GObject introsepection framework.
 .
 This package contains the interactive console application.

Package: libgjs0b
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}, xulrunner-2.0-mozjs
Conflicts: libgjs0, libgjs0a
Replaces: libgjs0, libgjs0a
Description: Mozilla-based javascript bindings for the GNOME platform
 Makes it possible for applications to use all of GNOME's platform
 libraries using the Javascript language. It's mainly based on the
 Mozilla javascript engine and the GObject introspection framework.
 .
 This is the shared library applications link to.

Package: libgjs-dev
Architecture: any
Section: libdevel
Depends: libgjs0b (= ${binary:Version}),
         ${misc:Depends},
         libgirepository1.0-dev,
         xulrunner-dev (>= 1.9.2),
         libdbus-1-dev
Description: Mozilla-based javascript bindings for the GNOME platform
 Makes it possible for applications to use all of GNOME's platform
 libraries using the Javascript language. It's mainly based on the
 Mozilla javascript engine and the GObject introspection framework.
 .
 This package contains the development files applications need to
 build against.
