## gjs 0.7.13

=== debian/changelog ===
gjs (0.7.13-2ubuntu1) natty; urgency=low

  * Merge with Debian experimental, remaining Ubuntu changes:
    - Make libgjs0b depends against xulrunner-2.0-mozjs

 -- Laurent Bigonville <bigon@ubuntu.com>  Tue, 22 Mar 2011 16:06:32 +0100

gjs (0.7.13-2) experimental; urgency=low

  * debian/patches/01_remove_rpath_flags.patch:
    + New patch. Don't add an rpath to Libs in the pkgconfig file, we don't
      need it as our libmozjs is in /usr/lib.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Thu, 17 Mar 2011 23:57:30 +0000

gjs (0.7.13-1) experimental; urgency=low

  * New upstream release.

 -- Frederic Peters <fpeters@debian.org>  Fri, 25 Feb 2011 17:28:35 +0100
