## gjs 0.7.14

=== debian/changelog ===
gjs (0.7.14-1ubuntu1) oneiric; urgency=low

  * Merge with Debian experimental, remaining Ubuntu changes:
    - Make libgjs0b depends against xulrunner-2.0-mozjs

 -- Laurent Bigonville <bigon@ubuntu.com>  Fri, 06 May 2011 22:28:30 +0200

gjs (0.7.14-1) experimental; urgency=low

  * New upstream release.
  * debian/patches/02_fix_bigendian_test.patch: Should fix FTBFS on big-endian
    arch (Closes: #610256)
  * debian/control: Bump Standards-Version to 3.9.2 (no further changes)

 -- Laurent Bigonville <bigon@debian.org>  Mon, 02 May 2011 23:58:46 +0200
