=== debian/watch ===
version=3
http://ftp.gnome.org/pub/GNOME/sources/gjs/([\d\.]+)/gjs-(.*)\.tar\.gz debian uupdate
