## gjs 1.30.0

=== debian/changelog ===
gjs (1.30.0-0ubuntu1) oneiric; urgency=low

  * New upstream stable release.

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 29 Sep 2011 22:42:12 -0400

gjs (1.29.18-0ubuntu1) oneiric; urgency=low

  * New upstream release.
  * debian/libgjs0c.symbols: Add 1 new symbol

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 21 Sep 2011 12:38:48 -0400

gjs (1.29.17-0ubuntu1) oneiric; urgency=low

  * New upstream release.
  * debian/control.in
    - Dropped gir1.2-glib-2.0 & gir1.2-freedesktop build-dependencies
    - Bump minimum gobject to 1.29.16

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 06 Sep 2011 09:45:58 +0200

gjs (1.29.16-0ubuntu2) oneiric; urgency=low

  * Updated symbols list to not list the .so excluded by the rules

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 17 Aug 2011 17:02:38 +0200

gjs (1.29.16-0ubuntu1) oneiric; urgency=low

  * New upstream release (LP: #822464)
  * library package renamed to libgjs0c because it broke ABI again
    without changing soname
  * debian/control.in
    - Build-depends on gobject-introspection  & girepository 1.29.15+
  * debian/libgjs-dev.install: Install *.gir
  * debian/libgjs0c.install: Install typelibs
  * debian/libgjs0c.symbols: Updated symbols

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 16 Aug 2011 15:03:32 -0400

gjs (1.29.0-1ubuntu1) oneiric; urgency=low

  * Merge with Debian unstable, remaining Ubuntu changes:
    - build against public api stable mozjs185 and remove xulrunner deps
  * debian/patches/00git_support_mozjs185.patch,
    00git_conditionally_adapt_to_JS_BufferIsCompilableUnit_changes.patch,
    00git_conditionally_adapt_to_JS_DestroyScript_removal.patch:
    Drop, applied upstream.

 -- Laurent Bigonville <bigon@ubuntu.com>  Fri, 22 Jul 2011 21:56:42 +0200

gjs (1.29.0-1) unstable; urgency=low

  * New upstream release.
    - Fix FTBFS with iceweasel 5.0 (Closes: #631043)
  * debian/control.in:
    - Bump priority to optional
  * debian/rules: Make tests no-fatal for now, they require newer
    gobject-introspection (>= 1.29.0)
  * debian/libgjs0b.symbols: Adjusts .symbols file
  * debian/watch:
    - Switch to .bz2 tarballs.
    - Do not call uupdate anymore
  * debian/patches/01_remove_rpath_flags.patch: Refresh patch
  * debian/patches/02_fix_bigendian_test.patch: Drop patch, hackish fix
    according to upstream

 -- Laurent Bigonville <bigon@debian.org>  Fri, 22 Jul 2011 20:30:44 +0200

gjs (0.7.14-1ubuntu2) oneiric; urgency=low

  * debian/control.in, debian/patches/00git_support_mozjs185.patch,
    00git_conditionally_adapt_to_JS_BufferIsCompilableUnit_changes.patch,
    00git_conditionally_adapt_to_JS_DestroyScript_removal.patch:
    - build against public api stable mozjs185 and remove xulrunner deps
    - Fixes LP: #788500
    - Also refer to desktop-o-mozilla-rapid-release-maintenance blueprint

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Thu, 26 May 2011 08:22:14 +0200
