=== debian/control ===
--- 
+++ 
@@ -5,10 +5,10 @@
 
 Source: gjs
 Section: interpreters
-Priority: extra
+Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Emilio Pozuelo Monfort <pochu@debian.org>, Laurent Bigonville <bigon@debian.org>
+Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Laurent Bigonville <bigon@debian.org>
 Build-Depends: debhelper (>= 8),
                cdbs,
                gnome-pkg-tools,
@@ -17,11 +17,9 @@
                pkg-config,
                libdbus-glib-1-dev,
                libglib2.0-dev,
-               libgirepository1.0-dev (>= 0.10.1),
-               gobject-introspection (>= 0.10.1),
-               gir1.2-glib-2.0,
-               gir1.2-freedesktop,
-               xulrunner-dev (>= 1.9.2),
+               libgirepository1.0-dev (>= 1.29.16),
+               gobject-introspection (>= 1.29.16),
+               libmozjs185-dev,
                dbus-x11,
                uuid-runtime,
                libcairo2-dev
@@ -40,12 +38,12 @@
  .
  This package contains the interactive console application.
 
-Package: libgjs0b
+Package: libgjs0c
 Architecture: any
 Section: libs
-Depends: ${shlibs:Depends}, ${misc:Depends}, xulrunner-2.0-mozjs
-Conflicts: libgjs0, libgjs0a
-Replaces: libgjs0, libgjs0a
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Conflicts: libgjs0, libgjs0a, libgjs0b
+Replaces: libgjs0, libgjs0a, libgjs0b
 Description: Mozilla-based javascript bindings for the GNOME platform
  Makes it possible for applications to use all of GNOME's platform
  libraries using the Javascript language. It's mainly based on the
@@ -56,10 +54,10 @@
 Package: libgjs-dev
 Architecture: any
 Section: libdevel
-Depends: libgjs0b (= ${binary:Version}),
+Depends: libgjs0c (= ${binary:Version}),
          ${misc:Depends},
          libgirepository1.0-dev,
-         xulrunner-dev (>= 1.9.2),
+         libmozjs185-dev,
          libdbus-1-dev
 Description: Mozilla-based javascript bindings for the GNOME platform
  Makes it possible for applications to use all of GNOME's platform
