=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/autotools.mk
include /usr/share/cdbs/1/rules/utils.mk
include /usr/share/gnome-pkg-tools/1/rules/uploaders.mk
include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk

DEB_DH_MAKESHLIBS_ARGS_libgjs0c := -Xusr/lib/gjs-1.0/ -V -- -c4

DEB_MAKE_CHECK_TARGET := check || true

install/libgjs0c::
	chrpath -d "$(CURDIR)"/debian/tmp/usr/lib/libgjs.so.0.0.0
