## gjs 1.30.1

=== debian/changelog ===
gjs (1.30.1-1ubuntu1) precise; urgency=low

  * Sync with Debian. Remaining Ubuntu change:
    - Keep libgjs0c library name introduced for oneiric

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sun, 12 Feb 2012 20:38:42 -0500

gjs (1.30.1-1) unstable; urgency=low

  * New upstream release.
  * Cherry-pick patches from upstream Git to correctly handle ffi return
    values. Fixes test-suite failures on big-endian architectures.
    Closes: #610256
    - Add 02_function-Correctly-convert-from-ffi-return-values-to.patch.
    - Add 03_function-Fix-ffi-return-value-handling-on-32-bit.patch

 -- Michael Biebl <biebl@debian.org>  Tue, 31 Jan 2012 06:30:06 +0100

gjs (1.30.0-3) unstable; urgency=low

  [ Josselin Mouette ]
  * Update repository URL.

  [ Michael Biebl ]
  * debian/watch: Track .xz tarballs.
  * Build against libmozjs185. The libmozjs version built from iceweasel
    proved to be too much of a moving target. Closes: #653051

  [ Jordi Mallach ]
  * Update Vcs-* URLs.

 -- Jordi Mallach <jordi@debian.org>  Sat, 21 Jan 2012 00:31:27 +0100

gjs (1.30.0-2) unstable; urgency=low

  * Upload to unstable
  * Triggers rebuild again libmozjs-dev 8.0 (Closes: #648840)

 -- Sjoerd Simons <sjoerd@debian.org>  Sun, 20 Nov 2011 15:49:06 +0000

gjs (1.30.0-1) experimental; urgency=low

  * New upstream release
  * debian/control.in: Update build-dep on gobject-introspection
  * debian/*.install: Install gir and typelib for GjsDbus

 -- Sjoerd Simons <sjoerd@debian.org>  Fri, 21 Oct 2011 20:40:36 +0200

gjs (1.29.0-2) unstable; urgency=low

  [ Laurent Bigonville ]
  * debian/control.in:
    - Update Vcs- fields to unstable branch

  [ Josselin Mouette ]
  * Generate a substitution variable for Provides that embeds the 
    libmozjs version.
  * Add this variable to shlibs. Closes: #635174.
  * Remove symbols file, it’s useless as long as mozjs is part of the 
    ABI.

 -- Josselin Mouette <joss@debian.org>  Mon, 19 Sep 2011 17:08:10 +0200
