=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Laurent Bigonville <bigon@debian.org>
+Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Emilio Pozuelo Monfort <pochu@debian.org>, Frederic Peters <fpeters@debian.org>, Jordi Mallach <jordi@debian.org>, Josselin Mouette <joss@debian.org>, Laurent Bigonville <bigon@debian.org>, Michael Biebl <biebl@debian.org>, Sjoerd Simons <sjoerd@debian.org>
 Build-Depends: debhelper (>= 8),
                cdbs,
                gnome-pkg-tools,
@@ -19,13 +19,15 @@
                libglib2.0-dev,
                libgirepository1.0-dev (>= 1.29.16),
                gobject-introspection (>= 1.29.16),
+               gir1.2-glib-2.0,
+               gir1.2-freedesktop,
                libmozjs185-dev,
                dbus-x11,
                uuid-runtime,
                libcairo2-dev
 Standards-Version: 3.9.2
-Vcs-Svn: svn://svn.debian.org/svn/pkg-gnome/packages/experimental/gjs
-Vcs-Browser: http://svn.debian.org/viewsvn/pkg-gnome/packages/experimental/gjs
+Vcs-Svn: svn://anonscm.debian.org/svn/pkg-gnome/desktop/unstable/gjs
+Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-gnome/desktop/unstable/gjs
 Homepage: http://live.gnome.org/Gjs
 
 Package: gjs
@@ -44,6 +46,7 @@
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Conflicts: libgjs0, libgjs0a, libgjs0b
 Replaces: libgjs0, libgjs0a, libgjs0b
+Provides: ${gjs:Provides}
 Description: Mozilla-based javascript bindings for the GNOME platform
  Makes it possible for applications to use all of GNOME's platform
  libraries using the Javascript language. It's mainly based on the
