## gjs 1.31.22

=== debian/changelog ===
gjs (1.31.22-0ubuntu1) precise; urgency=low

  * New upstream release.
  * debian/control.in: Bump minimum gobject-introspection to 1.31.22

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 21 Mar 2012 21:45:49 -0400

gjs (1.31.20-0ubuntu1) precise; urgency=low

  * New upstream release.
  * Add gir package
  * debian/control.in: Require minimum glib 2.31
  * Drop all patches since they've been applied upstream

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 13 Mar 2012 19:15:08 -0400
