=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Emilio Pozuelo Monfort <pochu@debian.org>, Frederic Peters <fpeters@debian.org>, Jordi Mallach <jordi@debian.org>, Josselin Mouette <joss@debian.org>, Laurent Bigonville <bigon@debian.org>, Michael Biebl <biebl@debian.org>, Sjoerd Simons <sjoerd@debian.org>
+Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Jordi Mallach <jordi@debian.org>, Josselin Mouette <joss@debian.org>, Laurent Bigonville <bigon@debian.org>, Michael Biebl <biebl@debian.org>, Sjoerd Simons <sjoerd@debian.org>
 Build-Depends: debhelper (>= 8),
                cdbs,
                gnome-pkg-tools,
@@ -16,9 +16,9 @@
                chrpath,
                pkg-config,
                libdbus-glib-1-dev,
-               libglib2.0-dev,
-               libgirepository1.0-dev (>= 1.29.16),
-               gobject-introspection (>= 1.29.16),
+               libglib2.0-dev (>= 2.31),
+               libgirepository1.0-dev (>= 1.31.22),
+               gobject-introspection (>= 1.31.22),
                gir1.2-glib-2.0,
                gir1.2-freedesktop,
                libmozjs185-dev,
@@ -58,6 +58,7 @@
 Architecture: any
 Section: libdevel
 Depends: libgjs0c (= ${binary:Version}),
+         gir1.2-gjs-1.0 (= ${binary:Version}),
          ${misc:Depends},
          libgirepository1.0-dev,
          libmozjs185-dev,
@@ -69,3 +70,20 @@
  .
  This package contains the development files applications need to
  build against.
+
+Package: gir1.2-gjs-1.0
+Section: introspection
+Architecture: any
+Depends: ${gir:Depends},
+         ${shlibs:Depends},
+         ${misc:Depends}
+Conflicts: libgjs0c (<< 1.31.10)
+Replaces: libgjs0c (<< 1.31.10)
+Description: GObject introspection data for GJS
+ Mozilla-based javascript bindings for the GNOME platform
+ Makes it possible for applications to use all of GNOME's platform
+ libraries using the Javascript language. It's mainly based on the
+ Mozilla javascript engine and the GObject introspection framework.
+ .
+ This package contains the GObject introspection data which may be
+ used to generate dynamic bindings.
