## gjs 1.32.0

=== debian/changelog ===
gjs (1.32.0-5) unstable; urgency=low

  * 11_revert_abi_breakage.patch: new patch. Revert the ABI breakage 
    introduced by 03_gerror_details.patch.
  * 05_log_typo.patch: upstream patch adapted. Fix a typo in a logging 
    function. Closes: #697211.

 -- Josselin Mouette <joss@debian.org>  Thu, 03 Jan 2013 01:35:29 +0100

gjs (1.32.0-4) unstable; urgency=low

  * 04_gjs_dumpstack.patch: patch from upstream git. Fix the 
    gjs_dumpstack function after the changes introduced by 1.32.0-3.
    Thanks to Niels Thykier’s awesome review for spotting this.

 -- Josselin Mouette <joss@debian.org>  Wed, 12 Dec 2012 20:14:01 +0100

gjs (1.32.0-3) unstable; urgency=low

  * 02_gerror_class.patch, 03_gerror_details.patch: patches from 
    upstream git. Introduce a class to manage GError correctly.
    Closes: #691551.
  * Bump shblibs version since this extends the API.

 -- Josselin Mouette <joss@debian.org>  Mon, 26 Nov 2012 11:06:48 +0100

gjs (1.32.0-2) unstable; urgency=low

  * Upload to unstable.
  * Drop explicit Build-Depends on gir1.2-glib-2.0 and gir1.2-freedesktop.
  * Fold libgjs-gdbus into libgjs and move the typelib file into a
    package-private directory. Patch cherry-picked from upstream Git.
  * Use dh-autoreconf to update the build system.
  * Extract libmozjs soname from libgjs.so, not the gjs binary since the
    latter doesn't directly link to libmozjs.

 -- Michael Biebl <biebl@debian.org>  Thu, 26 Apr 2012 17:18:34 +0200

gjs (1.32.0-1) experimental; urgency=low

  [ Jeremy Bicha ]
  * New upstream release.
  * Add gir package
  * debian/control.in:
    - Bump minimum glib to 2.31 & gobject-introspection to 1.31.22
    - Bump Standards-Version to 3.9.3
  * Drop all patches since they've been applied upstream

  [ Michael Biebl ]
  * Remove chrpath hack, no longer necessary.
  * debian/libgjs0b.install: Remove /usr/lib/gjs/*.typelib since the typelib
    file is now installed system wide and shipped in a separate package.

 -- Michael Biebl <biebl@debian.org>  Sun, 01 Apr 2012 07:55:16 +0200
