=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
# 
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.

Source: gjs
Section: interpreters
Priority: optional
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Jordi Mallach <jordi@debian.org>, Josselin Mouette <joss@debian.org>, Michael Biebl <biebl@debian.org>, Sjoerd Simons <sjoerd@debian.org>
Build-Depends: debhelper (>= 8),
               cdbs,
               gnome-pkg-tools,
               autotools-dev,
               dh-autoreconf,
               pkg-config,
               libdbus-glib-1-dev,
               libglib2.0-dev (>= 2.31),
               libgirepository1.0-dev (>= 1.31.22),
               gobject-introspection (>= 1.31.22),
               libmozjs185-dev,
               dbus-x11,
               uuid-runtime,
               libcairo2-dev
Standards-Version: 3.9.3
Vcs-Svn: svn://anonscm.debian.org/svn/pkg-gnome/desktop/unstable/gjs
Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-gnome/desktop/unstable/gjs
Homepage: http://live.gnome.org/Gjs

Package: gjs
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: Mozilla-based javascript bindings for the GNOME platform
 Makes it possible for applications to use all of GNOME's platform
 libraries using the Javascript language. It's mainly based on the
 Mozilla javascript engine and the GObject introsepection framework.
 .
 This package contains the interactive console application.

Package: libgjs0b
Architecture: any
Section: libs
Depends: ${shlibs:Depends},
         ${misc:Depends}
Conflicts: libgjs0, libgjs0a
Replaces: libgjs0, libgjs0a
Provides: ${gjs:Provides}
Description: Mozilla-based javascript bindings for the GNOME platform
 Makes it possible for applications to use all of GNOME's platform
 libraries using the Javascript language. It's mainly based on the
 Mozilla javascript engine and the GObject introspection framework.
 .
 This is the shared library applications link to.

Package: libgjs-dev
Architecture: any
Section: libdevel
Depends: ${misc:Depends},
         libgjs0b (= ${binary:Version}),
         libgirepository1.0-dev,
         libmozjs185-dev,
         libdbus-1-dev
Description: Mozilla-based javascript bindings for the GNOME platform
 Makes it possible for applications to use all of GNOME's platform
 libraries using the Javascript language. It's mainly based on the
 Mozilla javascript engine and the GObject introspection framework.
 .
 This package contains the development files applications need to
 build against.
