## gjs 1.33.2

=== debian/changelog ===
gjs (1.33.2-0ubuntu1) quantal-proposed; urgency=low

  * New upstream release.
  * Drop libgjs-gdbus patch as it's been applied in the new release.

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 25 Jun 2012 22:31:02 -0400

gjs (1.32.0-2ubuntu1) quantal; urgency=low

  * Resynchronize on Debian. Remaining changes:
    - Keep libgjs0b->libgjs0c renaming introduced in Oneiric

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 25 May 2012 14:28:59 -0400
