=== debian/control ===
--- 
+++ 
@@ -6,8 +6,9 @@
 Source: gjs
 Section: interpreters
 Priority: optional
-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Jordi Mallach <jordi@debian.org>, Josselin Mouette <joss@debian.org>, Michael Biebl <biebl@debian.org>, Sjoerd Simons <sjoerd@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Jeremy Bicha <jbicha@ubuntu.com>, Jordi Mallach <jordi@debian.org>, Josselin Mouette <joss@debian.org>, Laurent Bigonville <bigon@debian.org>, Michael Biebl <biebl@debian.org>, Sjoerd Simons <sjoerd@debian.org>
 Build-Depends: debhelper (>= 8),
                cdbs,
                gnome-pkg-tools,
@@ -38,7 +39,7 @@
  .
  This package contains the interactive console application.
 
-Package: libgjs0b
+Package: libgjs0c
 Architecture: any
 Section: libs
 Depends: ${shlibs:Depends},
@@ -57,7 +58,7 @@
 Architecture: any
 Section: libdevel
 Depends: ${misc:Depends},
-         libgjs0b (= ${binary:Version}),
+         libgjs0c (= ${binary:Version}),
          libgirepository1.0-dev,
          libmozjs185-dev,
          libdbus-1-dev
